Subject: [TLS] housekeeping: uplift RFC 5289 to Proposed Standard

From: Sean Turner <[email-masked]>
Date: Mon, 14 Nov 2016 10:36:02 +0900

This email addresses the "Uplifting” bullet on slide 6 of the chair slides (https://www.ietf.org/proceedings/97/slides/slides-97-tls-tls-wg-chair-slides-00.pdf); this is entirely procedural (i.e., there’s really no technical ).

The cipher suite registry's new "WG recommended” column's “Y" values are being populated with cipher suites that are on standards track.  The notable exceptions are the EC-based AES-GCM ciphers defined in RFC 5289, which is an informational RFC.  This point is buried in an earlier version of draft-ietf-tls-tls13 and now in the soon to be draft-ietf-tls-iana-registry-updates (was draft-sandj-tls-iana-registry-updates); the complete list of the pet-TLS 1.3 suites can be found here: https://tools.ietf.org/html/draft-sandj-tls-iana-registry-updates-01#section-6.

We can uplift RFC 5289 to PS from Informational with what essentially amounts to an IETF LC; we don't need a new draft (there's no errata).  We want to know if there are any objections to starting this process please post a message to the list by November 21st if you object (and why).

Please note the following:

-  This "action" is similar to what we're doing with 4492bis (it too is being moved to standards track) it's just that we can use this other process.

- RFC 7525, which was published through the UTA WG and is a BCP btw, already 2119-RECOMMENDs the ciphers.

- RFC 7540 (aka HTTP/2) MUSTs one of the RFC 5289 cipher suites.

spt

---

From: Sean Turner <[email-masked]>
Date: Wed, 16 Nov 2016 10:10:59 +0900

Note that Russ pointed out during the meeting that even though we can use this process a new RFC # will be minted at the end of the process.

spt

> On Nov 14, 2016, at 10:36, Sean Turner <[email-masked]> wrote:
>

---

From: Sean Turner <[email-masked]>
Date: Tue, 22 Nov 2016 11:35:00 -0500

Seeing no objections I’ll get this process underway.

spt

> On Nov 15, 2016, at 20:10, Sean Turner <[email-masked]> wrote:
>